#
# spec file for package gjs
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gjs
Version:        1.31.20
Release:        0
# FIXME: find out if tapsets should really be in devel package or in main package
Summary:        JavaScript bindings based on gobject-introspection and Mozilla
License:        MIT
Group:          Development/Libraries/GNOME
Url:            http://live.gnome.org/Gjs
Source:         http://download.gnome.org/sources/gjs/1.31/%{name}-%{version}.tar.xz
# PATCH-FIX-UPSTREAM gjs-fix-build.patch bgo#671390 vuntz@opensuse.org -- Fix code that cannot build
Patch0:         gjs-fix-build.patch
BuildRequires:  gcc-c++
BuildRequires:  python
BuildRequires:  readline-devel
BuildRequires:  systemtap-sdt-devel
# Only needed because we don't (and won't) support building xz tarballs by default... See bnc#697467
BuildRequires:  xz
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(glib-2.0) >= 2.31.0
BuildRequires:  pkgconfig(gobject-introspection-1.0) >= 1.29.16
BuildRequires:  pkgconfig(mozjs185)
Requires:       libgjs0 = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This module contains JavaScript bindings based on gobject-introspection and the
Mozilla SpiderMonkey JavaScript engine.

%package -n libgjs0
Summary:        JavaScript bindings based on gobject-introspection and Mozilla
Group:          Development/Libraries/GNOME
Provides:       libgjs-0 = %{version}
Obsoletes:      libgjs-0 < %{version}

%description -n libgjs0
This module contains JavaScript bindings based on gobject-introspection and the
Mozilla SpiderMonkey JavaScript engine.

%package -n typelib-1_0-GjsDBus-1_0
Summary:        GJS DBus utility library -- Introspection bindings
Group:          Development/Libraries/GNOME

%description -n typelib-1_0-GjsDBus-1_0
This module contains JavaScript bindings based on gobject-introspection and the
Mozilla SpiderMonkey JavaScript engine.

%package -n libgjs-devel
Summary:        JavaScript bindings based on gobject-introspection and Mozilla
Group:          Development/Libraries/GNOME
Requires:       libgjs0 = %{version}
Requires:       typelib-1_0-GjsDBus-1_0
# Just a helper provides
Provides:       gjs-devel = %{version}

%description -n libgjs-devel
This module contains JavaScript bindings based on gobject-introspection and the
Mozilla SpiderMonkey JavaScript engine.

%prep
%setup -q
%patch0 -p1

%build
%configure \
    --disable-static \
    --enable-systemtap
make %{?_smp_mflags} V=1

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print
# fix installation of systemtap files
mv %{buildroot}%{buildroot}%{_datadir}/systemtap %{buildroot}%{_datadir}/systemtap

%clean
rm -rf %{buildroot}

%post -n libgjs0 -p /sbin/ldconfig

%postun -n libgjs0 -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/gjs
%{_bindir}/gjs-console

%files -n libgjs0
%defattr(-,root,root)
%doc COPYING NEWS README
%{_datadir}/gjs-1.0/
%{_libdir}/*.so.*
%{_libdir}/gjs-1.0/

%files -n typelib-1_0-GjsDBus-1_0
%defattr(-,root,root)
%{_libdir}/girepository-1.0/GjsDBus-1.0.typelib

%files -n libgjs-devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/GjsDBus-1.0.gir
%{_datadir}/systemtap/tapset/*.stp

%changelog
